# Fetching strategies metadata

#### Get protocols

Fetch list of all protocols currently whitelisted for the yield farming through Yelay. Whitelisted strategies are those that are connected to the Yelay, and can be instantly set to the 'active' state in order to get liquidity flown there. F.e: Gearbox, Morpho, Euler, Silo.

```typescript
const protocols = await sdk.data.getProtocols();
```

#### Get active strategies

Fetch list of the strategies that are currently "active" for specific vault, i.e. strategies that accept user liquidity going through that vault.&#x20;

```typescript
const vault = '0x1234';
const activeStrategies = await sdk.data.getActiveStrategies(vault);
```

It returns strategy name (f.e. "MV-usdc-mev-capital" for one of the Morpho vaults), name of the protocol and current % allocation of the funds.&#x20;

Response format:&#x20;

```
[
	{
		name: "MV-usdc-mev-capital",
		protocolId: 'morpho',
		allocation: 100 // Percentage allocated to the strategy
	}
]
```

Note: The sum of allocations for all active strategies might not be complete 100%. In specific cases, a portion of the funds can remain unallocated in the vault itself.&#x20;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yelay.io/yelay-sdk/fetching-strategies-metadata.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
